#include <iostream>
#include <iomanip>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int n;
	cin>>n;
	double ljudi[n][2];
	for(int i=0; i<n; i++){
		for(int j=0; j<2; j++){
			cin>>ljudi[i][j];
		}
	}

	double zelenozeleno=0;
	double temp[n];
	for(int i=0; i<n; i++){
		temp[i]=ljudi[i][1];  
	}
	for(int i=0; i<n; i++){
		double makszeleno=0; 
		for(int j=0; j<n; j++){
			if(temp[i]<=ljudi[j][1]){ 
				 makszeleno+=ljudi[j][0];  
			}
		}
		makszeleno=makszeleno*(temp[i]/100); 
		if(makszeleno>zelenozeleno){
			zelenozeleno=makszeleno;  
		}
	}
	cout<<setprecision(10)<<zelenozeleno;
	
	
}